{ config, lib, pkgs, ... }:

let cfg = config.sydnix.users.msyds.impermanence;
in {
  options.sydnix.users.msyds.impermanence = {
    enable = lib.mkEnableOption "top-level home files";
  };

  config = lib.mkIf cfg.enable {
    sydnix.impermanence = {
      enable = true;
      directories = [
        ".wine"
        "Music"
        "Pictures"
        "Documents"
        "Videos"
        "Games"
        "src" # My projects.
        "scratch" # My playgrounds.
        "etc" # Miscellaneous belongings.
        "git" # Other peoples' projects.
        # Should "org" be declared in emacs.nix?  I don't think so.  I
        # conjecture that my org files are extremely valuable with or without
        # Emacs.
        "org"
        # REVIEW: I think it may be preferable to persist a few individual files
        # under ~/.ssh, rather than the whole directory.
        ".ssh"
      ];
    }; 
  };
}
